# QGraphicsPathItem Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractGraphicsShapeItem.

### Constructor

- void QGraphicsPathItem(QGraphicsItem parent, QGraphicsScene scene)
- void QGraphicsPathItem(QPainterPath path, QGraphicsItem parent, QGraphicsScene scene)

### Constructor Properties

- prototype: The QGraphicsPathItem prototype object

### Prototype Object Properties

The QGraphicsPathItem prototype object inherits properties from the QAbstractGraphicsShapeItem prototype object and also has the following properties.

- QPainterPath path()
- void setPath(QPainterPath path)

### Instance Properties

QGraphicsPathItem objects have no special properties beyond those inherited from the QGraphicsPathItem prototype object.